apiVersion: v1
kind: Pod
metadata:
  name: print-greeting
spec:
  containers:
  - name: env-print-demo
    image: bash
    env:
    - name: GREETING
      value: "Warm greetings to"
    - name: HONORIFIC
      value: "The Most Honorable"
    - name: NAME
      value: "Kubernetes"
    - name: MESSAGE
      value: "$(GREETING) $(HONORIFIC) $(NAME)"
    command: ["echo"]
    args: ["$(MESSAGE)"]


# OUTPUT :- The command "echo Warm greetings to The Most Honorable Kubernetes" is run on the container.

# LINK :- https://kubernetes.io/docs/tasks/inject-data-application/define-environment-variable-container/
